unit Unit3;

interface

uses
  Windows, Messages, Forms, Magnet, Classes, Controls, StdCtrls, ExtCtrls,
  FormMagnet;

type
  TSubWindow = class(TForm)
    Panel1: TPanel;
    Glue: TCheckBox;
    Magnet: TCheckBox;
    FormMagnet: TFormMagnet;
    procedure FormClose(Sender: TObject; var Action: TCloseAction);
    procedure MagnetClick(Sender: TObject);
    procedure GlueClick(Sender: TObject);
    procedure Panel1MouseMove(Sender: TObject; Shift: TShiftState; X,
      Y: Integer);
  private
  public
  end;

implementation

{$R *.DFM}

procedure TSubWindow.FormClose(Sender: TObject; var Action: TCloseAction);
begin
  Action := caFree;
end;

procedure TSubWindow.MagnetClick(Sender: TObject);
begin
  FormMagnet.Active := Magnet.Checked;
end;

procedure TSubWindow.GlueClick(Sender: TObject);
begin
  FormMagnet.Glue := Glue.Checked;
end;

procedure TSubWindow.Panel1MouseMove(Sender: TObject; Shift: TShiftState;
  X, Y: Integer);
begin
  if ssLeft in Shift then
  begin
    ReleaseCapture;
    Perform(WM_SysCommand, $F012, 0);
  end;
end;

end.
